<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class AlterMatriculasMotivoDesligamentoInteger extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('matriculas', function (Blueprint $table) {
            $table->dropColumn('motivo_desligamento');
        });

        Schema::table('matriculas', function (Blueprint $table) {
            $table->bigInteger('motivo_desligamento')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('matriculas', function (Blueprint $table) {
            $table->string('motivo_desligamento', 100)->nullable()->change();
        });
    }
}
